Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.monitoring.cache.entry
Class CacheEntrysMonitorInitializer

    java.lang.Object
      org.apache.cocoon.monitoring.cache.entry.CacheEntrysMonitorInitializer

    @ManagedResource(objectName="org.apache.cocoon:group=Cache,name=CacheEntrysRefresher")
    public class CacheEntrysMonitorInitializer

extends Object

Constructor Summary
`CacheEntrysMonitorInitializer(Map<String,Cache> caches, MBeanExporter exporter)`
`CacheEntrysMonitorInitializer(Map<String,Cache> caches, MBeanExporter exporter, long refreshTimeOut)`

Method Summary
`void` | `disableAutoRefresh()` Stops refresh action if there is any refresh action already running.
`void` | `enableAutoRefresh(long refreshTimeOut)` Enables auto refresh action.
`boolean` | `performRefresh()` Forces refresh action on CachesEntrys monitor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheEntrysMonitorInitializer

    public CacheEntrysMonitorInitializer(Map<String,Cache> caches,
                                         MBeanExporter exporter)

### CacheEntrysMonitorInitializer

    public CacheEntrysMonitorInitializer(Map<String,Cache> caches,
                                         MBeanExporter exporter,
                                         long refreshTimeOut)

Parameters:
  `caches` -
  `exporter` -
  `refreshTimeOut` - if this value is greater than 0 then would be started an automatic refresh task

Method Detail

### performRefresh

    @ManagedOperation(description="Forces refresh action on CachesEntrys monitor.")
    public final boolean performRefresh()

  Forces refresh action on CachesEntrys monitor.

  Returns:
    `true` if every useless MBean was successfully unregistered, `false` after first failed MBean to unregister.

### enableAutoRefresh

    @ManagedOperation(description="Enables auto refresh action. If there is already refresh action started it would be  stopped and started new refresh action with defined refreshTimeOut parameter.")
    @ManagedOperationParameters(value=)
    public final void enableAutoRefresh(long refreshTimeOut)

  Enables auto refresh action. If there is already refresh action started it would be stopped and started new refresh action with defined refreshTimeOut parameter.

  Parameters:
    `refreshTimeOut` - refresh operation time out in milliseconds

### disableAutoRefresh

    @ManagedOperation(description="Stops refresh action if there is any refresh action already running.")
    public final void disableAutoRefresh()

  Stops refresh action if there is any refresh action already running.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.